Publish Page
Publishes a Link-in-Bio page, making it publicly accessible at its html_url. If the page is already published, this endpoint is a no-op and returns the current page state.
POST
/v1/bio/pages/{page_id}/publish bio:write Parameters
Path parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
page_id | string | Yes | The unique identifier of the page to publish. |
Request examples
curl -X POST https://xqr.co/api/v1/bio/pages/bio_abc123/publish \ -H "Authorization: Bearer YOUR_API_KEY"const pageId = "bio_abc123";
const res = await fetch( `https://xqr.co/api/v1/bio/pages/${pageId}/publish`, { method: "POST", headers: { Authorization: "Bearer YOUR_API_KEY", }, });
const { data, meta } = await res.json();import httpx
page_id = "bio_abc123"
res = httpx.post( f"https://xqr.co/api/v1/bio/pages/{page_id}/publish", headers={"Authorization": "Bearer YOUR_API_KEY"},)
page = res.json()["data"]Response
200 OK
{ "data": { "id": "bio_abc123", "title": "Acme Inc", "description": "Official links and resources", "slug": "acme-inc", "page_data": { "theme": "dark", "avatar_url": "https://cdn.xqr.co/avatars/acme.png", "links": [ { "label": "Website", "url": "https://acme.com" }, { "label": "Twitter", "url": "https://twitter.com/acme" }, { "label": "GitHub", "url": "https://github.com/acme" } ] }, "is_published": true, "published_at": "2026-03-21T12:00:00Z", "view_count": 0, "click_count": 0, "html_url": "https://bio.xqr.co/acme-inc", "created_at": "2026-03-21T10:00:00Z", "updated_at": "2026-03-21T12:00:00Z" }, "meta": { "request_id": "req_e4f5g6", "rate_limit": { "remaining": 47, "reset_at": "2026-03-21T13:01:00Z" } }}Was this page helpful?
Thanks for your feedback!